Package Details: dtrx 8.5.3-1

Git Clone URL: https://aur.archlinux.org/dtrx.git (read-only, click to copy)
Package Base: dtrx
Description: An intelligent archive extraction tool
Upstream URL: http://github.com/dtrx-py/dtrx
Keywords: extract
Licenses: GPL3
Submitter: None
Maintainer: johne
Last Packager: johne
Votes: 96
Popularity: 0.001755
First Submitted: 2008-12-12 15:34 (UTC)
Last Updated: 2023-05-13 21:17 (UTC)

Dependencies (15)

Required by (0)

Sources (1)

Pinned Comments

baatochan commented on 2022-11-28 13:32 (UTC)

I found very strange edge-case with this dtrx - it hangs up if the archive you're trying to unpack contains two files with the same name. 7z/unzip that is run in the background waits with the question what to do and dtrx just hangs up not responding and not showing this question.

The maintainer of this dtrx is aware of the issue and there is an open PR with the fix, however if someone doesn't want to build the dtrx themself the old not-maintained-anymore package dtrx-python3-git can somewhat handle that edge-case (unpacks only one file with that name).

That issue broke the dtrx for me when I upgraded from old python2 version and thought that I would share if someone has the same issue as me.

Latest Comments

1 2 3 Next › Last »

NachoGoro commented on 2023-02-18 17:50 (UTC) (edited on 2023-02-18 17:51 (UTC) by NachoGoro)

I get the following error when attempting an installation using yay :

[18:47:57] ~$ yay -Syu dtrx
[...]
[Aur:1]  dtrx-8.5.0-1

  1 dtrx                                     (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> A
:: Deleting (1/1): /home/ic/.cache/yay/dtrx
:: (1/1) Downloaded PKGBUILD: dtrx
  1 dtrx                                     (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> N
:: (1/1) Parsing SRCINFO: dtrx
==> Making package: dtrx 8.5.0-1 (Sat 18 Feb 2023 06:48:08 PM CET)
==> Retrieving sources...
  -> Downloading dtrx-8.5.0.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100 34075  100 34075    0     0  55233      0 --:--:-- --:--:-- --:--:-- 55233
==> Validating source files with sha256sums...
    dtrx-8.5.0.tar.gz ... Passed
==> Making package: dtrx 8.5.0-1 (Sat 18 Feb 2023 06:48:09 PM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found dtrx-8.5.0.tar.gz
==> Validating source files with sha256sums...
    dtrx-8.5.0.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting dtrx-8.5.0.tar.gz with bsdtar
==> Sources are ready.
==> Making package: dtrx 8.5.0-1 (Sat 18 Feb 2023 06:48:10 PM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Entering fakeroot environment...
==> Starting package()...
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/packaging/requirements.py", line 35, in __init__
    parsed = parse_requirement(requirement_string)
  File "/usr/lib/python3.10/site-packages/packaging/_parser.py", line 64, in parse_requirement
    return _parse_requirement(Tokenizer(source, rules=DEFAULT_RULES))
  File "/usr/lib/python3.10/site-packages/packaging/_parser.py", line 82, in _parse_requirement
    url, specifier, marker = _parse_requirement_details(tokenizer)
  File "/usr/lib/python3.10/site-packages/packaging/_parser.py", line 126, in _parse_requirement_details
    marker = _parse_requirement_marker(
  File "/usr/lib/python3.10/site-packages/packaging/_parser.py", line 147, in _parse_requirement_marker
    tokenizer.raise_syntax_error(
  File "/usr/lib/python3.10/site-packages/packaging/_tokenizer.py", line 163, in raise_syntax_error
    raise ParserSyntaxError(
packaging._tokenizer.ParserSyntaxError: Expected end or semicolon (after name and no valid version specifier)
    platform==unsupported;platform_system=="Windows"
            ^

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/user/.cache/yay/dtrx/src/dtrx-8.5.0/setup.py", line 7, in <module>
    setuptools.setup()
  File "/usr/lib/python3.10/site-packages/setuptools/__init__.py", line 107, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.10/site-packages/setuptools/__init__.py", line 78, in _install_setup_requires
    dist.parse_config_files(ignore_option_errors=True)
  File "/usr/lib/python3.10/site-packages/setuptools/dist.py", line 887, in parse_config_files
    self._finalize_requires()
  File "/usr/lib/python3.10/site-packages/setuptools/dist.py", line 594, in _finalize_requires
    self._move_install_requirements_markers()
  File "/usr/lib/python3.10/site-packages/setuptools/dist.py", line 634, in _move_install_requirements_markers
    inst_reqs = list(_reqs.parse(spec_inst_reqs))
  File "/usr/lib/python3.10/site-packages/packaging/requirements.py", line 37, in __init__
    raise InvalidRequirement(str(e)) from e
packaging.requirements.InvalidRequirement: Expected end or semicolon (after name and no valid version specifier)
    platform==unsupported;platform_system=="Windows"
            ^
==> ERROR: A failure occurred in package().
    Aborting...
 -> error making: dtrx

orax commented on 2022-11-28 15:38 (UTC)

@baatochan, thanks for sharing this potential issue with us. I have pinned your comment for people to be aware of and will be checking the issue / PR every once in a while so I know when I can update this package to include this fix.

baatochan commented on 2022-11-28 13:32 (UTC)

I found very strange edge-case with this dtrx - it hangs up if the archive you're trying to unpack contains two files with the same name. 7z/unzip that is run in the background waits with the question what to do and dtrx just hangs up not responding and not showing this question.

The maintainer of this dtrx is aware of the issue and there is an open PR with the fix, however if someone doesn't want to build the dtrx themself the old not-maintained-anymore package dtrx-python3-git can somewhat handle that edge-case (unpacks only one file with that name).

That issue broke the dtrx for me when I upgraded from old python2 version and thought that I would share if someone has the same issue as me.

orax commented on 2022-09-30 15:15 (UTC)

Sorry about that @bdjnk, I added the dependency at the end and forgot to run makepkg -f from a clean clone. Everything should be fixed now.

bdjnk commented on 2022-09-30 14:01 (UTC)

The PKGBUILD is broken.

Line 15 is missing an equal sign. It should be makedepends=('python-setuptools')

Line 35 is missing the version. It should be cd "${srcdir}/${pkgname}-${pkgver}"

orax commented on 2022-09-30 12:59 (UTC)

@Perdu, just adopted the package and updated it to the latest version available at https://github.com/dtrx-py/dtrx.

As you said, it was quite urgent to move away from the old Python 2 version so I took the time to update it for everyone here (and removed the dependency to git in the meantime).

Perdu commented on 2022-09-24 10:08 (UTC)

This package has been flagged out-of-date over a year ago. Should an orphaned request be sent? The move to a python3 fork is now urgent.

temach commented on 2022-09-23 10:26 (UTC)

We should follow suit because arch now removes python2 from repositories https://archlinux.org/news/removing-python2-from-the-repositories/ and the fork works with python3.

thiagowfx commented on 2021-08-09 05:06 (UTC)

Debian is using this repo now: https://github.com/dtrx-py/dtrx (https://packages.debian.org/sid/dtrx), since brettcs's one is abandoned. It's a fork, seems to be well maintained. Should we follow suit here?

chrooti commented on 2019-07-08 22:30 (UTC)

https://github.com/lincheney/dtrx

works with python3 and passes all the tests, FYI